BOTCH-GRAPH-NEIGHBORHOOD(1)

NAME
botch-graph-neighborhood - extract the neighborhood around a vertex

SYNOPSIS

botch-graph-neighborhood [options] --center CENTER [--center CENTER ...] [ingraph] [outgraph]

DESCRIPTION
Extract the neighborhood around a center vertex of a graph in GraphML or dot format.

The --center option is mandatory and can be specified more than once.

If either (or both) of the positional arguments is/are omitted, then read GraphML or dot from standard input and/or write GraphML or dot to standard output, respectively. Passing a '-' as either argument, explicitly specifies to read the input from standard input and write the output to standard output, respectively.

The input graph type will be determined automatically. If the output graph is given as a filename, then the output type will be GraphML if the filename ends with .xml and dot if the filename ends with .dot. If the output is done on standard output then it will happen in the same format as the input graph.

OPTIONS

-h, --help
    Display help.

--depth=DEPTH
    range of neighborhood to extract (Default: 1)

--center=CENTER
    This option picks the center vertex of which the neighborhood is computed. The CENTER argument is a key/value pair (separated by a colon) of a graph attribute and its desired value. If more than one vertex matches the given key/value pair, then the smallest (by node comparison) is chosen.

    The special key "__ID__" allows one to select the unique vertex identifier.

    This option can be specified more than once. The final set of vertices is chosen such that all vertices match all key/value pairs. Multiple --center options thus form a logical conjunction (they are AND-ed together).

-v, --verbose
    Be verbose.

BUGS
See <http://bugs.debian.org/botch>.

SEE ALSO
Debian doc-base Manual /usr/share/doc/botch/wiki/Home.html

AUTHOR
This man page was written by Johannes Schauer. Botch is written by Johannes Schauer and Pietro Abate.

COPYRIGHT
Copyright 2012-2014 Johannes Schauer, Pietro Abate

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. A special linking exception to the GNU Lesser General Public License applies to this library, see the COPYING file for more information.